import { AbstractParseTreeVisitor, Lexer as LexerType, Parser as ParserType } from 'antlr4ng';
import { CursorPosition } from './lib/cursor.js';
import { TokenDictionary } from './lib/tables.js';
import { AutocompleteParseResult, ColumnAliasSuggestion, ColumnSuggestion, EngineSuggestion, GenerateSuggestionsFromRules, GetParseTree, ISymbolTableVisitor, KeywordSuggestion, LexerConstructor, ParserConstructor, ParserSyntaxError, SymbolTableVisitorConstructor, TableOrViewSuggestion } from './types.js';
export { CursorPosition } from './lib/cursor.js';
export { AutocompleteParseResult, TableOrViewSuggestion, KeywordSuggestion, ParserSyntaxError, ColumnSuggestion, ColumnAliasSuggestion, EngineSuggestion, };
export declare function parseQuery<L extends LexerType, P extends ParserType, S extends ISymbolTableVisitor & AbstractParseTreeVisitor<{}>>(Lexer: LexerConstructor<L>, Parser: ParserConstructor<P>, SymbolTableVisitor: SymbolTableVisitorConstructor<S>, tokenDictionary: TokenDictionary, ignoredTokens: Set<number>, preferredRules: Set<number>, explicitlyParseJoin: boolean, getParseTree: GetParseTree<P>, generateSuggestionsFromRules: GenerateSuggestionsFromRules, query: string, cursor: CursorPosition): AutocompleteParseResult;
export declare function parseMySqlQueryWithoutCursor(query: string): Pick<AutocompleteParseResult, 'errors'>;
export declare function parseMySqlQuery(query: string, cursor: CursorPosition): AutocompleteParseResult;
export declare function parsePostgreSqlQueryWithoutCursor(query: string): Pick<AutocompleteParseResult, 'errors'>;
export declare function parsePostgreSqlQuery(query: string, cursor: CursorPosition): AutocompleteParseResult;
export declare function parseClickHouseQueryWithoutCursor(query: string): Pick<AutocompleteParseResult, 'errors'>;
export declare function parseClickHouseQuery(query: string, cursor: CursorPosition): AutocompleteParseResult;
